#!/usr/bin/env python

#Usage: ./rc.py "cmd"
# >     ./rc.py "set rxfreq 2450e6"
# >     ./rc.py "get rxfreq"
#

# Example commands:
# python rc.py node1-1 5111 "rxfreq"
# python rc.py node1-1 5111 "rxfreq 0 2400e6"

# python rc.py node1-1 5111 "rxgain"
# python rc.py node1-1 5111 "rxgain 0 11"

# python rc.py node1-1 5111 "rxrate"

# python rc.py node1-1 5111 "txfreq"
# python rc.py node1-1 5111 "txfreq 0 3400e6"

# python rc.py node1-1 5111 "txgain"
# python rc.py node1-1 5111 "txgain 0 12"

# python rc.py node1-1 5111 "txrate"

# python rc.py node1-1 5111 "rxhold on"
# python rc.py node1-1 5111 "rxhold off"

import sys
import socket
import struct
from time import time

TCP_IP = sys.argv[1]
TCP_PORT = int(sys.argv[2])
#TCP_IP = sys.argv[1]  #"node1-1.sb3.orbit-lab.org"
#TCP_PORT = int(5180)

s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
s.connect((TCP_IP, TCP_PORT))

COMMAND = sys.argv[3]
s.sendall(COMMAND)
data = s.recv(256*50)

print data
#print [ord(c) for c in COMMAND]
s.close()
